<?php
namespace Incoviba\Model;

use Incoviba\Common\Ideal\Model;

class Comuna extends Model
{
    public string $descripcion;
    public Provincia $provincia;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'descripcion' => $this->descripcion,
            'provincia' => $this->provincia
        ]);
    }
    public function __toString(): string
    {
        return $this->descripcion;
    }
}
